### File

`packages/eui/packages/components-next/src/lib/components/eui-popover/eui-popover.component.ts`

### Extends

`BaseDirective`

### Implements

`AfterViewInit` `OnDestroy` `OnInit`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
encapsulation | `ViewEncapsulation.None`
selector | `eui-popover`
styleUrls | `./styles/_index.scss`
templateUrl | `./eui-popover.component.html`

### Index

###### Properties

- _hasBackDrop
- _hasCloseButton
- Public positionClass
- Public statesClass
- templatePortalContent

###### Methods

- Public closePopover
- Public openPopover

###### Inputs

- hasBackDrop
- hasCloseButton
- isOpen
- position
- size
- title
- type

###### Outputs

- close
- open
- outsideClick

###### Accessors

- hasBackDrop
- hasCloseButton

### Constructor

`constructor(overlay: Overlay, viewContainerRef: ViewContainerRef)`

Parameters :

Name | Type | Optional
overlay | `Overlay` | No
viewContainerRef | `ViewContainerRef` | No

### Inputs

hasBackDrop

hasCloseButton

isOpen
Default value : `false`

position
Default value : `'bottom'`

size
Default value : `'default'`

title
Type : `string`

type
Default value : `'default'`

### Outputs

close
Type : `EventEmitter`

open
Type : `EventEmitter`

outsideClick
Type : `EventEmitter`

### Methods

Public closePopover
`closePopover()`
Close a popover Returns : `void`

Public openPopover
`openPopover(target: ElementRef)`

Open a popover

Parameters :

Name | Type | Optional
target | `ElementRef` | No

Returns : `void`

### Properties

_hasBackDrop
Default value : `false`

_hasCloseButton
Default value : `true`

Public positionClass
Type : `string`

Public statesClass
Type : `string`

templatePortalContent
Type : `TemplateRef<unknown>`
Decorators : `@ViewChild('templatePortalContent')`

### Accessors

hasBackDrop
set `hasBackDrop(value)`

Parameters :

Name | Optional
value | No

Returns : `void`

hasCloseButton
set `hasCloseButton(value)`

Parameters :

Name | Optional
value | No

Returns : `void`

# result-matching ""

# No results matching ""